package base;

public class Tabellone {
	
	// array di caselle che costituiscono il percorso
	protected Casella[] caselle;
	
	// costruttore che crea e inizializza l'array con una dimensione
	// ricevuta come parametro
	public Tabellone(int num_caselle) {
		caselle = new Casella[num_caselle];
		for (int i=0; i<num_caselle; i++) {
			caselle[i] = new Casella();
		}
	}
	
	// costruttore che crea e inizializza l'array con la dimensione standard
	public Tabellone() {
		this(63);
	}
	
	// restituisce il numero delle caselle
	public int getNumeroCaselle() {
		return caselle.length;
	}

	// fa si che la casella possa modificare la posizione del giocatore
	// che vi arriva sopra
	public void effettoCasella(Giocatore g) {
		int pos = g.getPosizione();
		if ((pos>0) && (pos<caselle.length))
			caselle[pos].effetto(g);
	}
	
}
